window.addEventListener('click', (event) => {
  if (event.target.tagName !== 'A') {
    return;
  }

  if (
    event.target.href &&
    event.target.hash &&
    event.target.href.replace(event.target.hash, '') ===
      window.location.href.replace(window.location.hash, '')
  ) {
    event.preventDefault();

    let elem = document.getElementById(event.target.hash.replace('#', ''));
    let location = 0;
    if (elem.offsetParent) {
      do {
        location += elem.offsetTop;
        elem = elem.offsetParent;
      } while (elem);
    }

    window.scroll({
      top: location,
      behavior: 'smooth',
    });
  }
});
