const autoAnchor = () => {
  Array.prototype.forEach.call(
    document.querySelectorAll('section > h2, section > header > h2'),
    (h2) => {
      let id = h2.getAttribute('id');
      if (id && window.location.hash === `#${id}`) {
        window.scrollTo(0, 0);
        setTimeout(() => {
          window.scrollTo(0, 0);
        }, 1);

        let elem = h2;
        let location = 0;
        if (elem.offsetParent) {
          do {
            location += elem.offsetTop;
            elem = elem.offsetParent;
          } while (elem);
        }

        setTimeout(() => {
          window.scroll({
            top: location,
            behavior: 'smooth',
          });
        }, 25);
      } else if (window.location.hash) {
        id = h2.innerHTML.replace(/ /g, '-').toLowerCase().trim();
        h2.setAttribute('id', id);

        if (window.location.hash === `#${id}`) {
          let elem = h2;
          let location = 0;
          if (elem.offsetParent) {
            do {
              location += elem.offsetTop;
              elem = elem.offsetParent;
            } while (elem);
          }
          setTimeout(() => {
            window.scroll({
              top: location,
              behavior: 'smooth',
            });
          }, 50);
        }
      } else {
        id = h2.innerHTML.replace(/ /g, '-').toLowerCase().trim();
        h2.setAttribute('id', id);
      }
    }
  );
};

window.addEventListener('load', autoAnchor);
